<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>Template directives</title>

    <script src="../Libraries/angular.js"></script>
    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">

    <script>
        var app = angular.module("SampleApp",[]);

        app.controller("SampleAppCtrl", function($scope){
           $scope.items = [{name: "Item 1", value: "Value 1", property1: "Test Val 1" },
               {name: "Item 2", value: "Value 2", property1: "Test Val 2" },
               {name: "Item 3", value: "Value 3", property1: "Test Val 3" }];
        });
    </script>

</head>
<body>
<div ng-controller="SampleAppCtrl">
    <h3 class="panel-header">List</h3>

    <p ng-repeat="item in items">
        <span ng-repeat="(key, value) in item">{{key}} = {{value}}, </span>
    </p>
</div>

</body>
</html>